org.eclipse.jetty.http

## Interface HttpContent

All Known Implementing Classes:
  HttpContent.ResourceAsHttpContent, ResourceCache.Content

    public interface HttpContent

HttpContent.

### Nested Class Summary

Nested Classes
`static class` `HttpContent.ResourceAsHttpContent`

### Method Summary

Methods
`long` `getContentLength()`
`Buffer` `getContentType()`
`Buffer` `getDirectBuffer()`
`Buffer` `getIndirectBuffer()`
`InputStream` `getInputStream()`
`Buffer` `getLastModified()`
`Resource` `getResource()`
`void` `release()`

### Method Detail

#### getContentType

    Buffer getContentType()

#### getLastModified

    Buffer getLastModified()

#### getIndirectBuffer

    Buffer getIndirectBuffer()

#### getDirectBuffer

    Buffer getDirectBuffer()

#### getResource

    Resource getResource()

#### getContentLength

    long getContentLength()

#### getInputStream

    InputStream getInputStream()
                               throws IOException

Throws:
  `IOException`

#### release

    void release()